/**
 *  Copyright (c) 2022, Texas Instruments Incorporated
 *  All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *  *   Redistributions of source code must retain the above copyright
 *  notice, this list of conditions and the following disclaimer.
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  *   Neither the name of Texas Instruments Incorporated nor the names of
 *  its contributors may be used to endorse or promote products derived
 *  from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 *  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 *  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 *  PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 *  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 *  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 *  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 *  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 *  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 *  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */
export class HWDB {
}
// Hardware database TAG's
HWDB.CONFIGURATIONS_TAG = 'configurations';
HWDB.CONFIGURATION_TAG = 'configuration';
HWDB.CONNECTION_TYPE_TAG = 'connectionType';
HWDB.CONNECTION_TAG = 'connection';
HWDB.PLATFORM_TAG = 'platform';
HWDB.BOARD_TAG = 'board';
HWDB.CPU_TAG = 'cpu';
HWDB.DEVICE_TAG = 'device';
HWDB.CORE_TAG = 'core';
HWDB.SUBPATH_TAG = 'subpath';
HWDB.ROUTER_TAG = 'router';
HWDB.PROCESSORS_TAG = 'processors';
HWDB.DRIVERS_TAG = 'drivers';
HWDB.DRIVER_TAG = 'driver';
HWDB.ISA_TAG = 'isa';
HWDB.PROPERTY_TAG = 'property';
HWDB.INSTANCE_TAG = 'instance';
HWDB.INCLUDE_TAG = 'include';
HWDB.CHOICE_TAG = 'choice';
HWDB.DRIVER_PROPERTIES_TAG = 'driverProperties';
HWDB.HIERARCHY_TAG = 'hierarchy';
HWDB.CURRENT_TAG = 'current';
HWDB.CHOICELIST_TAG = 'choicelist';
HWDB.INFERENCE_TAG = 'inference';
HWDB.CURRENT_CHOICE_TAG = 'cchoice';
HWDB.HIERACHY_CHOICE_TAG = 'hchoice';
HWDB.JTAG_TAG = 'jtag';
// Hardware database Attributes
HWDB.TYPE_ATTRIBUTE = 'Type';
HWDB.NAME_ATTRIBUTE = 'desc';
HWDB.PROPERTY_NAME_ATTRIBUTE = 'Name';
HWDB.DESCRIPTION_ATTRIBUTE = 'description';
HWDB.ID_ATTRIBUTE = 'id';
HWDB.ISA_ATTRIBUTE = 'isa';
HWDB.PARTNUM_ATTRIBUTE = 'partnum';
HWDB.HW_REV_ATTRIBUTE = 'HW_revision';
HWDB.PROCID_ATTRIBUTE = 'ProcID';
HWDB.DATA_FILE_PROPERTY = 'dataFile';
HWDB.INITINDEX_PROPERTY = 'initIndex';
//    public static readonly  INCLUDED_FILE_ATTRIBUTE = "instanceFile";
HWDB.SUBPATH_ATTRIBUTE = 'SubPath';
HWDB.SUBPATH_TYPE_PROPERTY = 'Type';
HWDB.SUBPATH_PORT_PROPERTY = 'Port Number';
HWDB.SUBPATH_ADDRESS = 'subpath.address';
HWDB.SUBPATH_COUNT_PROPERTY = 'subPathCount';
HWDB.BYPASS_PROPERTY = 'bypass';
HWDB.COM_PORT_PROPERTY = 'COM Port';
HWDB.BAUD_RATE_PROPERTY = 'Baud Rate';
HWDB.FILE_ATTRIBUTE = 'file';
HWDB.VALUE_ATTRIBUTE = 'Value';
HWDB.CHOICE_VALUE_ATTRIBUTE = 'value';
HWDB.INTEGER_TYPE = 'numericfield';
HWDB.NUMERIC_TYPE = 'numeric';
HWDB.STRING_TYPE = 'stringfield';
HWDB.FILE_TYPE = 'filepathfield';
HWDB.FILE_PATH_TYPE = 'FILE_PATH_EXTN';
HWDB.CHOICE_TYPE = 'choicelist';
HWDB.STRING_LIST_TYPE = 'string_list';
HWDB.HIDDEN_TYPE = 'hiddenfield';
HWDB.UART_CONNECTION_NAME = 'UARTConnection';
HWDB.NONDEBUG_ATTRIBUTE = 'nonDebug';
HWDB.HREF_ATTRIBUTE = 'href';
HWDB.XML_ATTRIBUTE = 'xml';
HWDB.XMLPATH_ATTRIBUTE = 'xmlpath';
HWDB.EXTENSIONS_ATTRIBUTE = 'Extensions';
HWDB.VER_ATTRIBUTE = 'XML_version';
HWDB.VERSION = '1.2';
HWDB.MOVABLE_ATTRIBUTE = 'CanChildNodesBeMoved';
HWDB.KEY_ATTRIBUTE = 'key';
HWDB.EXTN_ATTRIBUTE = 'extn';
HWDB.UPPER_RANGE_ATTRIBUTE = 'upper_range';
HWDB.LOWER_RANGE_ATTRIBUTE = 'lower_range';
HWDB.UPPER_BOUND_ATTRIBUTE = 'UpperBound';
HWDB.LOWER_BOUND_ATTRIBUTE = 'LowerBound';
HWDB.ADVICE_ATTRIBUTE = 'advice';
HWDB.SUMMARY_ATTRIBUTE = 'summary';
HWDB.DRIVER_TYPE_ATTRIBUTE = 'type';
HWDB.BYPASS_ROUTER_ICON = 'bypass_router';
HWDB.COMPONENT_NAME = 'uid';
HWDB.SCHEMA_FILENAME = 'setup_parser.xsd';
//# sourceMappingURL=HWDB.js.map